
Redmine - Defect #3233

Wrong version in trunk

2009-04-23 22:25 - Stefan Verstege

Status: Closed Start date: 2009-04-23

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

I use the trunk of Redmine but i looks like the version is not oke (0.8.0.devel.2679) instead of : 0.8.3.devel.2679.

Thanks to this several plugins (redmine-graph i.e.) don't work.

Associated revisions

Revision 2802 - 2009-07-04 14:17 - Jean-Philippe Lang

Set trunk version to latest stable release (#3233).

History

#1 - 2009-04-24 00:43 - Eric Davis

Yes, the version numbers are getting changed in the specific branches so trunk is still at 0.8.0.  Jean-Philippe, should the release process bump the

version number in trunk before merging the changes to the release branch?

#2 - 2009-04-24 17:41 - Jean-Philippe Lang

The version number in trunk should be fixed indeed.

But I'm not sure it should be the same as the last release number. Currently, trunk is much different than the 0.8.3 release. Should we set something

else like 0.8.9.devel or even 0.9.0.devel ?

#3 - 2009-04-24 20:20 - Stefan Verstege

anything other then 0.8.0 works for me :D

Perhaps it's a good idea to give it the versionnumber of the first next version on the roadmap?

#4 - 2009-04-29 02:51 - Eric Davis

Jean-Philippe Lang wrote:

The version number in trunk should be fixed indeed.

But I'm not sure it should be the same as the last release number. Currently, trunk is much different than the 0.8.3 release. Should we set

something else like 0.8.9.devel or even 0.9.0.devel ?

 I'd say to use the current stable version (0.8.3 now) since it includes the 'devel' BRANCH.  Then a plugin could requires_redmine :version_or_higher

=> '0.8.3' to want 0.8.3 or trunk.

#5 - 2009-05-11 10:01 - Stefan Verstege

Eric Davis wrote:

I'd say to use the current stable version (0.8.3 now) since it includes the 'devel' BRANCH.  Then a plugin could requires_redmine

:version_or_higher => '0.8.3' to want 0.8.3 or trunk.

 Agree.. Any idea when this will be fixed?? Since this is now also reported in the issuetrackers of some plugins (like [[

http://github.com/mszczytowski/redmine_charts/issues#issue/6]])

#6 - 2009-07-02 14:32 - Łukasz Rżanek

Normally I would suggest, that the trunk is always high with numbers, i.e.:

Last released version: 0.8.3.[1..8].x - usually you won't go further than 3-5

Last development version: 0.8.3.9.x
http://github.com/mszczytowski/redmine_charts/issues#issue/6%5D%5D


This works for me event in the most complex projects, so it should work here as well...

#7 - 2009-07-04 14:16 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r2802. Trunk version is now set as the latest stable version.
